% program pro vygenerovani "namerenych dat"

clear all
close all

% skutecne rozmery mechanismu
xA=0.11;
yA=0.09;
l2=0.57;
l3=0.52;
fi20=-5*pi/180;
fi30=3*pi/180;

XP=[];
YP=[];
FI2=[];
FI3=[];

for fi2=(0:10:360)*pi/180
    for fi3=(0:10:360)*pi/180
        xP=xA+l2*cos(fi2+fi20)+l3*cos(fi2+fi20+fi3+fi30);
        yP=yA+l2*sin(fi2+fi20)+l3*sin(fi2+fi20+fi3+fi30);
        XP=[XP; xP];
        YP=[YP; yP];
        FI2=[FI2; fi2];
        FI3=[FI3; fi3];
    end
end

save namerena_data_360_360 XP YP FI2 FI3
save presne_rozmery xA yA l2 l3 fi20 fi30

